
Figure - Bug #112711
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111047 (New): AF-V2.0-小窗模式

【AF】【EVT】【小窗模式】打开图库小窗后关闭->再直接全屏打开图库后关闭->再打开该图库小窗，此时
有概率出现图库崩溃
2022-10-19 15:34 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-19

Priority: Normal Due date: 2022-10-24

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221019.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221023.alpha

Reproducibility: Every time Fixed Version: 2022-10-22

Test Type: IT Root cause: AOSP问题

Description

【前提条件】

1、设备已开机

2、后台无应用

【测试步骤】

1、打开图库小窗后关闭

2、再直接全屏打开图库后关闭

3、打开该图库小窗

【预期结果】

3、正常打开图库小窗

【实际结果】

3、第三步中点击小窗模式后无响应，多次重复第三步有概率出现图库崩溃

【复现率】

50%

【Log】

Log见附件

History

#1 - 2022-10-19 16:14 - DL FW-张挽强

- Status changed from New to ASSIGNED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

分析：

10-19 02:06:28.110 10190 10314 E AndroidRuntime: java.lang.NullPointerException: Attempt to read from field 'com.android.gallery3d.glrenderer.Texture

com.android.gallery3d.ui.AlbumSetSlidingWindow$AlbumSetEntry.content' on a null object reference

10-19 02:06:28.110 10190 10314 E AndroidRuntime:     at com.android.gallery3d.ui.AlbumSetSlotRenderer.renderContent(AlbumSetSlotRenderer.java:172)

10-19 02:06:28.110 10190 10314 E AndroidRuntime:     at com.android.gallery3d.ui.AlbumSetSlotRenderer.renderSlot(AlbumSetSlotRenderer.java:134)

10-19 02:06:28.110 10190 10314 E AndroidRuntime:     at com.android.gallery3d.ui.SlotView.renderItem(SlotView.java:325)
10-19 02:06:28.110 10190 10314 E AndroidRuntime:     at com.android.gallery3d.ui.SlotView.render(SlotView.java:281)

10-19 02:06:28.110 10190 10314 E AndroidRuntime:     at com.android.gallery3d.ui.GLView.renderChild(GLView.java:286)

10-19 02:06:28.110 10190 10314 E AndroidRuntime:     at com.android.gallery3d.ui.GLView.render(GLView.java:236)

10-19 02:06:28.110 10190 10314 E AndroidRuntime:     at com.android.gallery3d.app.AlbumSetPage$1.render(AlbumSetPage.java:154)

10-19 02:06:28.110 10190 10314 E AndroidRuntime:     at com.android.gallery3d.ui.GLRootView.onDrawFrameLocked(GLRootView.java:411)

10-19 02:06:28.110 10190 10314 E AndroidRuntime:     at com.android.gallery3d.ui.GLRootView.onDrawFrame(GLRootView.java:355)

10-19 02:06:28.110 10190 10314 E AndroidRuntime:     at android.opengl.GLSurfaceView$GLThread.guardedRun(GLSurfaceView.java:1577)

10-19 02:06:28.110 10190 10314 E AndroidRuntime:     at android.opengl.GLSurfaceView$GLThread.run(GLSurfaceView.java:1272)

应用内部自己发生的空指针异常，目前没看到跟小窗相关的问题，请转给相应负责人员

#2 - 2022-10-19 16:15 - CD TEST-方永红

- Category changed from 窗口定制 to CD-APP

- Assignee changed from CD TEST-方永红 to CD APP-王营

#3 - 2022-10-21 10:35 - CD APP-黄棚

- Assignee changed from CD APP-王营 to CD APP-黄棚

#4 - 2022-10-21 11:03 - CDTS-TEST 周婷

- Due date set to 2022-10-24

#5 - 2022-10-21 16:04 - CD APP-黄棚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-黄棚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-10-22

- Root cause set to AOSP问题

■ Current conclusion

已确定原因

■ My analysis

全屏模式，通过返回键返回，这个时候打开小窗是不会有问题的；

全屏模式，通过home按键进入桌面，这个时候打开小窗，100%会crash

分析原因是，返回键返回是结束了生命周期，但是通过home进入桌面，部分对象已经被回收，导致AlbumSetEntry为空

解决方案就是在AlbumSetEntry

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/157102

#6 - 2022-10-24 10:25 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221023.alpha

10.24 验证关闭

#7 - 2022-10-24 10:26 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
#8 - 2022-12-22 20:45 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

157102 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:Gallery2: Fix the crash bug after multiple switching between Gallery2 small window and full screen mode1. Fix the crash bug after multiple switching between

Gallery2 small window and full screen modeTC-RID: 1201-0300701IssueID: TS-R-DF-112711Change-Id: I239b9ca17a5bb0a81765d30619f291803e8826e7

Files

tuku.txt 3.71 MB 2022-10-19 CD TEST-方永红

Phone-STS40X190122 2022-10-19 15-26-55.mp4 16.8 MB 2022-10-19 CD TEST-方永红
